#include <bits/stdc++.h>

using namespace std;

int main()
{
    long long n, k, pok, br = 0;
    cin >> n >> k;
    long long p[n * 2 + 2];
    for(long long i = 0 ; i < n * 2 + 2 ; i++){
        p[i] = 0;
    }
    for(long long i = 0 ; i < n ; i++){
        cin >> pok;
        p[pok + n]++;
    }
    for(long long i = 0 ; i < n * 2  + 1 ; i++){
        if(p[i] >= k) br++;
    }
    cout << br << endl;
    for(long long i = 0 ; i < n * 2 + 1 ; i++){
        if(p[i] >= k) cout << i - n << " ";
    }
    return 0;
}